summaryrefslogtreecommitdiffstats
path: root/academic/genius/genius.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'academic/genius/genius.SlackBuild')
-rw-r--r--academic/genius/genius.SlackBuild10
1 files changed, 3 insertions, 7 deletions
diff --git a/academic/genius/genius.SlackBuild b/academic/genius/genius.SlackBuild
index 7def2c85f6..4e9300f8ff 100644
--- a/academic/genius/genius.SlackBuild
+++ b/academic/genius/genius.SlackBuild
@@ -23,11 +23,10 @@
#
PRGNAM=genius
-VERSION=${VERSION:-1.0.11}
+VERSION=${VERSION:-1.0.12}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
@@ -61,7 +60,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e # Exit on most errors
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -76,9 +75,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Appearantly, some do not know that Makefiles require tabs, not spaces...
-cat $CWD/hidden-spaces.patch | patch -p1
-
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -96,7 +92,7 @@ CXXFLAGS="$SLKCFLAGS" \
make
make install DESTDIR=$PKG
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION